Skip to main content
`Ctrl`+`K`

# PetscPartitionerCreate

Creates an empty `PetscPartitioner` object. The type can then be set with `PetscPartitionerSetType()`.

## Synopsis

    #include "petscpartitioner.h"
    PetscErrorCode PetscPartitionerCreate(MPI_Comm comm, PetscPartitioner *part)

Collective

## Input Parameter

- comm - The communicator for the `PetscPartitioner` object

## Output Parameter

- part - The `PetscPartitioner` object

## See Also

`PetscPartitionerSetType()`, `PetscPartitionerDestroy()`

## Level

beginner

## Location

src/dm/partitioner/interface/partitioner.c

## Implementations

PetscPartitionerCreate_Chaco() in src/dm/partitioner/impls/chaco/partchaco.c
PetscPartitionerCreate_Gather() in src/dm/partitioner/impls/gather/partgather.c
PetscPartitionerCreate_MatPartitioning() in src/dm/partitioner/impls/matpart/partmatpart.c
PetscPartitionerCreate_Multistage() in src/dm/partitioner/impls/multistage/mspart.c
PetscPartitionerCreate_ParMetis() in src/dm/partitioner/impls/parmetis/partparmetis.c
PetscPartitionerCreate_PTScotch() in src/dm/partitioner/impls/ptscotch/partptscotch.c
PetscPartitionerCreate_Shell() in src/dm/partitioner/impls/shell/partshell.c
PetscPartitionerCreate_Simple() in src/dm/partitioner/impls/simple/partsimple.c

Index of all MatGraphOperations routines
Table of Contents for all manual pages
Index of all manual pages